Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Insights

Get an insight

GET /insights/{id}

Retrieves the specified insight report and its results.

Parametry záhlaví

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview

Parametry dotazů

includeCoordinates boolean

Whether to include coordinates for visualization in the response. Defaults to false.

api-version string vyžadováno

The API version to use for this operation.

Parametry cesty

id string vyžadováno

The unique identifier for the insights report.

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
id string vyžadováno

The unique identifier for the insights report.

metadata InsightsMetadata vyžadováno

Metadata about the insights.

createdAt string vyžadováno

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string vyžadováno

Enum describing allowed operation states.

Některá z následujících možností:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string vyžadováno

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison vyžadováno

The request of the insights report.

Jeden z následujících:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum vyžadováno

The type of insights request.

EvaluationRunClusterInsight
evalId string vyžadováno

Evaluation Id for the insights.

runIds string[] vyžadováno

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string vyžadováno

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum vyžadováno

The type of request.

AgentClusterInsight
agentName string vyžadováno

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string vyžadováno

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum vyžadováno

The type of request.

EvaluationComparison
evalId string vyžadováno

Identifier for the evaluation.

baselineRunId string vyžadováno

The baseline run ID for comparison.

treatmentRunIds string[] vyžadováno

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Jeden z následujících:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum vyžadováno

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] vyžadováno

Comparison results for each treatment run against the baseline.

method string vyžadováno

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum vyžadováno

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult vyžadováno

Insights from the cluster analysis.

summary InsightSummary vyžadováno

Summary of the error cluster analysis.

sampleCount integer vyžadováno

Total number of samples analyzed.

uniqueSubclusterCount integer vyžadováno

Total number of unique subcluster labels.

uniqueClusterCount integer vyžadováno

Total number of unique clusters.

method string vyžadováno

Method used for clustering.

usage ClusterTokenUsage vyžadováno

Token usage for cluster analysis

inputTokenUsage integer vyžadováno

input token usage

outputTokenUsage integer vyžadováno

output token usage

totalTokenUsage integer vyžadováno

total token usage

clusters InsightCluster[] vyžadováno

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer vyžadováno

X-axis coordinate.

y integer vyžadováno

Y-axis coordinate.

size integer vyžadováno

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum vyžadováno

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult vyžadováno

Insights from the cluster analysis.

summary InsightSummary vyžadováno

Summary of the error cluster analysis.

sampleCount integer vyžadováno

Total number of samples analyzed.

uniqueSubclusterCount integer vyžadováno

Total number of unique subcluster labels.

uniqueClusterCount integer vyžadováno

Total number of unique clusters.

method string vyžadováno

Method used for clustering.

usage ClusterTokenUsage vyžadováno

Token usage for cluster analysis

inputTokenUsage integer vyžadováno

input token usage

outputTokenUsage integer vyžadováno

output token usage

totalTokenUsage integer vyžadováno

total token usage

clusters InsightCluster[] vyžadováno

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer vyžadováno

X-axis coordinate.

y integer vyžadováno

Y-axis coordinate.

size integer vyžadováno

Size of the chart element.

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

GET /insights/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026